@keyframes heartbeat {
    from {
        transform: scale(1);
        transform-origin: center center;
        animation-timing-function: ease-out;
    }
    10% {
        transform: scale(0.91);
        animation-timing-function: ease-in;
    }
    17% {
        transform: scale(0.98);
        animation-timing-function: ease-out;
    }
    33% {
        transform: scale(0.87);
        animation-timing-function: ease-in;
    }
    45% {
        transform: scale(1);
        animation-timing-function: ease-out;
    }
}

.scale-in-hor-right {
    animation: scale-in-hor-right 0.5s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
}

.scale-out-hor-right {
    animation: scale-out-hor-right 0.5s cubic-bezier(0.550, 0.085, 0.680, 0.530) both;
}

@keyframes scale-in-hor-right {
    0% {
        transform: scaleX(0);
        transform-origin: 100% 100%;
        opacity: 1;
    }
    100% {
        transform: scaleX(1);
        transform-origin: 100% 100%;
        opacity: 1;
    }
}

@keyframes scale-out-hor-right {
    0% {
        transform: scaleX(1);
        transform-origin: 100% 100%;
        opacity: 1;
    }
    100% {
        transform: scaleX(0);
        transform-origin: 100% 100%;
        opacity: 1;
    }
}

.fade-in {
    animation: fade-in 0.2s cubic-bezier(0.390, 0.575, 0.565, 1.000) both;
}

@keyframes fade-in {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

.slide-in-from-right {
    animation: slide-in-from-right 0.2s ease-out both;
}

@keyframes slide-in-from-right {
    0% {
        transform: translateX(100%);
        transform-origin: 100% 100%;
        opacity: 1;
    }
    100% {
        transform: translateX(0);
        transform-origin: 100% 100%;
        opacity: 1;
    }
}